You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     lbartole...@tuxfamily.org
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: head/math/pdal/Makefile 442050 2017-05-30 02:56:43Z 
sunpoet $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p447660_s322332/logs/pdal-1.4.0_3.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p447660_s322332
Log:

====>> Building math/pdal
build started at Thu Aug 10 13:53:21 UTC 2017
port directory: /usr/ports/math/pdal
building for: FreeBSD head-armv6-default-job-02 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200040 arm
maintained by: lbartole...@tuxfamily.org
Makefile ident:      $FreeBSD: head/math/pdal/Makefile 442050 2017-05-30 
02:56:43Z sunpoet $
Poudriere version: 3.1.19-61-ga8829ba9
Host OSVERSION: 1200033
Jail OSVERSION: 1200040
Job Id: 02




!!! Jail is newer than host. (Jail: 1200040, Host: 1200033) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1200040
UNAME_v=FreeBSD 12.0-CURRENT 1200040
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
QEMU_EMULATING=1
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=pdal-1.4.0_3
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19-61-ga8829ba9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for pdal-1.4.0_3:
     BASH=off: BASH completion
     ICEBRIDGE=off: Enable Icebridge plugin
     PGPOINTCLOUD=off: Enable Coherent PostgreSQL Point Cloud plugin
     PYTHON=on: Enable Python plugin
     SQLITE=off: Enable SQLite plugin
     TESTS=on: Enable Tests
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/pdal/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/pdal/work  
HOME=/wrkdirs/usr/ports/math/pdal/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/math/pdal/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/pdal/work  
HOME=/wrkdirs/usr/ports/math/pdal/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
DESTDIR=/wrkdirs/usr/ports/math/pdal/work/stage PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 
-pipe  -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  
LDFLAGS="" LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing  -D_GLIBCXX_USE_C99"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
BASH="@comment
"
NO_BASH=""
ICEBRIDGE="@comment
"
NO_ICEBRIDGE=""
PGPOINTCLOUD="@comment
"
NO_PGPOINTCLOUD=""
PYTHON=""
NO_PYTHON="@comment
"
SQLITE="@comment
"
NO_SQLITE=""
TESTS=""
NO_TESTS="@comment
"
CMAKE_BUILD_TYPE="release"
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd12
PYTHON_PYOEXTENSION=pyo
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_SUFFIX=27
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
PYTHON2=""
PYTHON3="@comment
"
OSREL=12.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/pdal"
EXAMPLESDIR="share/examples/pdal"
DATADIR="share/pdal"
WWWDIR="www/pdal"
ETCDIR="etc/pdal"
--End PLIST_SUB--

--SUB_LIST--
BASH="@comment
"
NO_BASH=""
ICEBRIDGE="@comment
"
NO_ICEBRIDGE=""
PGPOINTCLOUD="@comment
"
NO_PGPOINTCLOUD=""
PYTHON=""
NO_PYTHON="@comment
"
SQLITE="@comment
"
NO_SQLITE=""
TESTS=""
NO_TESTS="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/pdal
DOCSDIR=/usr/local/share/doc/pdal
EXAMPLESDIR=/usr/local/share/examples/pdal
WWWDIR=/usr/local/www/pdal
ETCDIR=/usr/local/etc/pdal
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=armv6
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=12.0
OSVERSION=1200040
PYTHONBASE=/usr/local
UID=0
_JAVA_OS_LIST_REGEXP=native|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk|oracle|sun
_JAVA_VERSION_LIST_REGEXP=1.6|1.7|1.8|1.6\+|1.7\+|1.8\+
_OSRELEASE=12.0-CURRENT
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
<snip>
  -Wl,-rpath=/usr/local/lib/gcc5

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message from cblas-1.0_6:
===>   NOTICE:

The cblas port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from python27-2.7.13_7:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   pdal-1.4.0_3 depends on file: 
/usr/local/lib/python2.7/site-packages/numpy/core/numeric.py - found
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.8.2.txz
[head-armv6-default-job-02] Installing cmake-3.8.2...
[head-armv6-default-job-02] `-- Installing cmake-modules-3.8.2...
[head-armv6-default-job-02] `-- Extracting cmake-modules-3.8.2: .......... done
[head-armv6-default-job-02] `-- Installing curl-7.55.0...
[head-armv6-default-job-02] |   `-- Installing ca_root_nss-3.32...
[head-armv6-default-job-02] |   `-- Extracting ca_root_nss-3.32: ........ done
[head-armv6-default-job-02] |   `-- Installing libnghttp2-1.24.0...
[head-armv6-default-job-02] |   `-- Extracting libnghttp2-1.24.0: .......... 
done
[head-armv6-default-job-02] `-- Extracting curl-7.55.0: .......... done
[head-armv6-default-job-02] `-- Installing expat-2.2.1...
[head-armv6-default-job-02] `-- Extracting expat-2.2.1: .......... done
[head-armv6-default-job-02] `-- Installing jsoncpp-1.8.1...
[head-armv6-default-job-02] `-- Extracting jsoncpp-1.8.1: .......... done
[head-armv6-default-job-02] `-- Installing libarchive-3.3.1,1...
[head-armv6-default-job-02] |   `-- Installing liblz4-1.7.5,1...
[head-armv6-default-job-02] |   `-- Extracting liblz4-1.7.5,1: .......... done
[head-armv6-default-job-02] |   `-- Installing lzo2-2.10_1...
[head-armv6-default-job-02] |   `-- Extracting lzo2-2.10_1: .......... done
[head-armv6-default-job-02] `-- Extracting libarchive-3.3.1,1: .......... done
[head-armv6-default-job-02] `-- Installing libuv-1.13.1...
[head-armv6-default-job-02] `-- Extracting libuv-1.13.1: .......... done
[head-armv6-default-job-02] `-- Installing rhash-1.3.4...
[head-armv6-default-job-02] `-- Extracting rhash-1.3.4: .......... done
[head-armv6-default-job-02] Extracting cmake-3.8.2: .......... done
Message from ca_root_nss-3.32:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   pdal-1.4.0_3 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on executable: ninja - not found
===>   Installing existing package /packages/All/ninja-1.7.2,2.txz
[head-armv6-default-job-02] Installing ninja-1.7.2,2...
[head-armv6-default-job-02] Extracting ninja-1.7.2,2: ....... done
===>   pdal-1.4.0_3 depends on executable: ninja - found
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.3.7,1.txz
[head-armv6-default-job-02] Installing pkgconf-1.3.7,1...
[head-armv6-default-job-02] Extracting pkgconf-1.3.7,1: .......... done
===>   pdal-1.4.0_3 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on file: /usr/local/bin/python2.7 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   pdal-1.4.0_3 depends on shared library: libgdal.so - not found
===>   Installing existing package /packages/All/gdal-2.2.1.txz
[head-armv6-default-job-02] Installing gdal-2.2.1...
[head-armv6-default-job-02] `-- Installing giflib-5.1.4...
[head-armv6-default-job-02] `-- Extracting giflib-5.1.4: .......... done
[head-armv6-default-job-02] `-- Installing jasper-1.900.1_17...
[head-armv6-default-job-02] |   `-- Installing jpeg-turbo-1.5.2...
[head-armv6-default-job-02] |   `-- Extracting jpeg-turbo-1.5.2: .......... done
[head-armv6-default-job-02] `-- Extracting jasper-1.900.1_17: .......... done
[head-armv6-default-job-02] `-- Installing json-c-0.12.1...
[head-armv6-default-job-02] `-- Extracting json-c-0.12.1: .......... done
[head-armv6-default-job-02] `-- Installing libgeotiff-1.4.2...
[head-armv6-default-job-02] |   `-- Installing jbigkit-2.1_1...
[head-armv6-default-job-02] |   `-- Extracting jbigkit-2.1_1: .......... done
[head-armv6-default-job-02] |   `-- Installing proj-4.9.3...
[head-armv6-default-job-02] |   `-- Extracting proj-4.9.3: .......... done
[head-armv6-default-job-02] |   `-- Installing tiff-4.0.8...
[head-armv6-default-job-02] |   `-- Extracting tiff-4.0.8: .......... done
[head-armv6-default-job-02] `-- Extracting libgeotiff-1.4.2: .......... done
[head-armv6-default-job-02] `-- Installing png-1.6.31...
[head-armv6-default-job-02] `-- Extracting png-1.6.31: .......... done
[head-armv6-default-job-02] Extracting gdal-2.2.1: .......... done
===>   pdal-1.4.0_3 depends on shared library: libgdal.so - found 
(/usr/local/lib/libgdal.so)
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on shared library: libgeos.so - not found
===>   Installing existing package /packages/All/geos-3.6.2.txz
[head-armv6-default-job-02] Installing geos-3.6.2...
[head-armv6-default-job-02] Extracting geos-3.6.2: .......... done
===>   pdal-1.4.0_3 depends on shared library: libgeos.so - found 
(/usr/local/lib/libgeos.so)
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on shared library: libboost_thread.so - not found
===>   Installing existing package /packages/All/boost-libs-1.64.0.txz
[head-armv6-default-job-02] Installing boost-libs-1.64.0...
[head-armv6-default-job-02] `-- Installing icu-58.2_2,1...
[head-armv6-default-job-02] `-- Extracting icu-58.2_2,1: .......... done
[head-armv6-default-job-02] Extracting boost-libs-1.64.0: .......... done
Message from boost-libs-1.64.0:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   pdal-1.4.0_3 depends on shared library: libboost_thread.so - found 
(/usr/local/lib/libboost_thread.so)
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on shared library: libcurl.so - found 
(/usr/local/lib/libcurl.so)
===>   pdal-1.4.0_3 depends on shared library: libgeotiff.so - found 
(/usr/local/lib/libgeotiff.so)
===>   pdal-1.4.0_3 depends on shared library: libxml2.so - not found
===>   Installing existing package /packages/All/libxml2-2.9.4.txz
[head-armv6-default-job-02] Installing libxml2-2.9.4...
[head-armv6-default-job-02] Extracting libxml2-2.9.4: .......... done
===>   pdal-1.4.0_3 depends on shared library: libxml2.so - found 
(/usr/local/lib/libxml2.so)
===>   Returning to build of pdal-1.4.0_3
===>   pdal-1.4.0_3 depends on shared library: liblaszip.so - not found
===>   Installing existing package /packages/All/laszip-2.1.0.txz
[head-armv6-default-job-02] Installing laszip-2.1.0...
[head-armv6-default-job-02] Extracting laszip-2.1.0: .......... done
===>   pdal-1.4.0_3 depends on shared library: liblaszip.so - found 
(/usr/local/lib/liblaszip.so)
===>   Returning to build of pdal-1.4.0_3
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for pdal-1.4.0_3
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/math/pdal/work/.build
-- The CXX compiler identification is Clang 4.0.0
-- The C compiler identification is Clang 4.0.0
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /nxb-bin/usr/bin/cc
-- Check for working C compiler: /nxb-bin/usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Found GDAL: /usr/local/lib/libgdal.so (Required is at least version "1.9.0") 
-- Found GeoTIFF: /usr/local/lib/libgeotiff.so  
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Found Threads: TRUE  
-- Found ZLIB: /usr/lib/libz.so (found version "1.2.11") 
-- Found CURL: /usr/local/lib/libcurl.so (found version "7.55.0") 
-- Could NOT find JSONCPP (missing:  JSONCPP_INCLUDE_DIR) (Required is at least 
version "1.6.2")
-- Found LibXml2: /usr/local/lib/libxml2.so (found version "2.9.4") 
CMake Error at 
/usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:137 
(message):
  Could NOT find NumPy (missing: NUMPY_VERSION NUMPY_INCLUDE_DIR) (Required
  is at least version "1.5")
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:377 
(_FPHSA_FAILURE_MESSAGE)
  cmake/modules/FindNumPy.cmake:32 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  cmake/python.cmake:15 (find_package)
  plugins/python/CMakeLists.txt:5 (include)


-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/math/pdal/work/.build/CMakeFiles/CMakeOutput.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/math/pdal
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to